#!/bin/bash

PROG="parallel_sgemv"
THREADS=6

# Header
echo -n "N"
for ((t=1; t<=$THREADS; ++t)); do
	echo -n " $t-threads"
done
echo " "

# Body

# size
n=128
while ((n<=16384)); do
	echo -n "$n "
	# threads
	for ((t=1; t<=$THREADS; ++t)); do
		# samples per #thread
		for s in {1..1}; do
			gcc -O3 -fopenmp $PROG.c -o $PROG -DN="$n"
			OMP_NUM_THREADS=$t taskset 0x0000003F numactl --interleave=all ./$PROG
		done
		echo -n " "
	done
	echo " "
	n=`echo "scale=0; ($n*2.0)/1" | bc -l`
done
